$first: #e3e7ed; // Gris très clair
$second: #091b2a; // Bleu marine
$third: #d62828; // Rouge clair
$error: #b00b1e; // Rouge bordeau
$black: #000000; // Noir
$white: #ffffff; // Blanc
$gray: #3b3b3b; // Gris foncé
$gray-light: #757575; // Gris clair

@import url('https://fonts.googleapis.com/css2?family=Sen:wght@400;700&display=swap');

@mixin mobile {
  @media screen and (max-width: 768px) {
    @content;
  }
}

@mixin tablet {
  @media screen and (min-width: 768px) {
    @content;
  }
}

@mixin desktop {
  @media screen and (min-width: 1024px) {
    @content;
  }
}

@import 'components/login-admin/login';
@import 'components/header/header';
@import 'components/slider/slider';
@import 'components/search-bar/search-bar';
@import 'components/side-menu/side-menu';
@import 'components/products/products';
@import 'components/pagination/pagination';
@import 'components/cart/cart';
@import 'components/products-list/products-list';
@import 'components/order-form/order-form';

* {
  padding: 0;
  margin: 0;
  font-family: 'Sen', sans-serif;

  a {
    color: $second;

    &:visited {
      color: $second;
    }
  }

  body {
    max-width: 1366px;
    margin: auto;

    #layout {
      display: grid;
      grid-template-columns: 100px 1fr;
      grid-template-rows: 75px 1fr 40px;
      width: 100%;
      max-width: 1226px;
      margin: 70px auto 120px auto;
      color: $second;

      @include tablet {
        grid-template-columns: 200px 1fr;
        grid-template-rows: 40px 1fr 40px;
        margin: 120px auto 120px auto;
      }

      .btn {
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 2px 5px;
        background-color: $second;
        border: 2px solid $second;
        border-radius: 2px;
        transition: 250ms;
        cursor: pointer;

        p {
          color: $white;
          font-size: 14px;
        }

        &:hover {
          background-color: $white;

          p {
            color: $second;
          }
        }
      }

      .loading-animation {
        margin: 25px auto;

        &.layout {
          grid-row: 2/3;
          grid-column: 1/3;
        }

        &.products {
          width: max-content;
        }

        .wrapper-loading-dots {
          display: flex;
          justify-content: space-between;
          margin: 20px auto 0 auto;

          .loading-dot {
            display: block;
            width: 10px;
            height: 10px;
            background-color: $second;
            border-radius: 50%;
            animation: 1000ms ease infinite animate;

            &:nth-child(1) {
              animation-delay: 0ms;
            }

            &:nth-child(2) {
              animation-delay: 200ms;
            }

            &:nth-child(3) {
              animation-delay: 400ms;
            }
          }
        }
      }
    }
  }
}

@keyframes animate {
  0% {
    transform: translateY(0px);
  }
  50% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0px);
  }
}
